FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202104221811.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104221811.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=e079d112ff1a9b751fb85c2972f71031af08f0c1 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=19+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.19.0+e079d11 OS_GIT_COMMIT=e079d11 OS_GIT_VERSION=4.6.0-202104221811.p0-e079d11 SOURCE_DATE_EPOCH=1610725047 SOURCE_GIT_COMMIT=e079d112ff1a9b751fb85c2972f71031af08f0c1 SOURCE_GIT_TAG=v0.4.1-627-ge079d112f SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
WORKDIR /go/src/github.com/kubernetes-csi/external-provisioner
COPY . .
RUN make build

FROM openshift/ose-base:v4.6.0.20210422.183047
ENV __doozer=update BUILD_RELEASE=202104221811.p0 BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202104221811.p0 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge KUBE_GIT_COMMIT=e079d112ff1a9b751fb85c2972f71031af08f0c1 KUBE_GIT_MAJOR=1 KUBE_GIT_MINOR=19+ KUBE_GIT_TREE_STATE=clean KUBE_GIT_VERSION=v1.19.0+e079d11 OS_GIT_COMMIT=e079d11 OS_GIT_VERSION=4.6.0-202104221811.p0-e079d11 SOURCE_DATE_EPOCH=1610725047 SOURCE_GIT_COMMIT=e079d112ff1a9b751fb85c2972f71031af08f0c1 SOURCE_GIT_TAG=v0.4.1-627-ge079d112f SOURCE_GIT_URL=https://github.com/openshift/csi-external-provisioner 
COPY --from=builder /go/src/github.com/kubernetes-csi/external-provisioner/bin/csi-provisioner /usr/bin/
ENTRYPOINT ["/usr/bin/csi-provisioner"]

LABEL \
        License="ASL 2.0" \
        io.k8s.description="External provisioner for CSI volumes" \
        io.k8s.display-name="External provisioner for CSI volumes" \
        io.openshift.tags="csi,storage,provisioner" \
        vendor="Red Hat" \
        name="openshift/ose-csi-external-provisioner" \
        com.redhat.component="csi-provisioner-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Storage" \
        release="202104221811.p0" \
        io.openshift.build.commit.id="e079d112ff1a9b751fb85c2972f71031af08f0c1" \
        io.openshift.build.source-location="https://github.com/openshift/csi-external-provisioner" \
        io.openshift.build.commit.url="https://github.com/openshift/csi-external-provisioner/commit/e079d112ff1a9b751fb85c2972f71031af08f0c1" \
        version="v4.6.0"

